#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deque
version:              0.4.3
visibility:           public
id:                   deque-0.4.3-9suH7aw8UoMDukHV1jPXvY
key:                  deque-0.4.3-9suH7aw8UoMDukHV1jPXvY
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/deque
synopsis:             Double-ended queues
description:
    Strict and lazy implementations of Double-Ended Queue (aka Dequeue or Deque)
    based on head-tail linked list.

abi:                  07fb8ac74aa7dba67e4a9adafbed75af
exposed:              True
exposed-modules:
    Deque.Lazy Deque.Lazy.Reader Deque.Lazy.State Deque.Strict
    Deque.Strict.Reader Deque.Strict.State

hidden-modules:       Deque.Lazy.Defs Deque.Strict.Defs Deque.Prelude
import-dirs:          /usr/lib/ghc-8.10.2/site-local/deque-0.4.3
library-dirs:         /usr/lib/ghc-8.10.2/site-local/deque-0.4.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/deque-0.4.3
hs-libraries:         HSdeque-0.4.3-9suH7aw8UoMDukHV1jPXvY
depends:
    base-4.14.1.0 hashable-1.3.0.0-JPCB4MmZaOcIaoM3ucdjgC mtl-2.2.2
    strict-list-0.1.5-B4qAzRsLXcM2cTyCYDko9L

haddock-interfaces:   /usr/share/doc/haskell-deque/html/deque.haddock
haddock-html:         /usr/share/doc/haskell-deque/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

